Package org.apache.tomcat.util.http.parser

## Class Authorization

- java.lang.Object
- - org.apache.tomcat.util.http.parser.Authorization

-     public class Authorization
      extends java.lang.Object

  Parser for an "Authorization" header.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.util.Map<java.lang.String,​java.lang.String>` | `parseAuthorizationDigest​(java.io.StringReader input)` | Parses an HTTP Authorization header for DIGEST authentication as per RFC 2617 section 3.2.2.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### parseAuthorizationDigest

          public static java.util.Map<java.lang.String,​java.lang.String> parseAuthorizationDigest​(java.io.StringReader input)
                                                                                                 throws java.lang.IllegalArgumentException,
                                                                                                        java.io.IOException

      Parses an HTTP Authorization header for DIGEST authentication as per RFC 2617 section 3.2.2.
      Parameters:
        `input` - The header value to parse
      Returns:
        A map of directives and values as `String`s or `null` if a parsing error occurs. Although the values returned are `String`s they will have been validated to ensure that they conform to RFC 2617.
      Throws:
        `java.lang.IllegalArgumentException` - If the header does not conform to RFC 2617
        `java.io.IOException` - If an error occurs while reading the input